<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.ticket.FjykMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.gyee.frame.model.ticket.Fjyk">
        <id column="ID" property="id" />
        <result column="GZRW" property="gzrw" />
        <result column="GZDD" property="gzdd" />
        <result column="ZYXZLX" property="zyxzlx" />
        <result column="SBSSFX" property="sbssfx" />
        <result column="XCHJFX" property="xchjfx" />
        <result column="ZYGCFX" property="zygcfx" />
        <result column="RYYSFX" property="ryysfx" />
        <result column="FHYJFX" property="fhyjfx" />
        <result column="GJQJFX" property="gjqjfx" />
        <result column="RSSHFX" property="rsshfx" />
        <result column="YKCS" property="ykcs" />
        <result column="YKXGJBZCS" property="ykxgjbzcs" />
        <result column="BEMARK1" property="bemark1" />
        <result column="WONUM" property="wonum" />
        <result column="WORKETNUM" property="worketnum" />
        <result column="BEMARK2" property="bemark2" />
        <result column="BEMARK3" property="bemark3" />
        <result column="BEMARK4" property="bemark4" />
        <result column="BEMARK5" property="bemark5" />
        <result column="TYPE" property="type" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        ID, GZRW, GZDD, ZYXZLX, SBSSFX, XCHJFX, ZYGCFX, RYYSFX, FHYJFX, GJQJFX, RSSHFX, YKCS, YKXGJBZCS, BEMARK1, WONUM, WORKETNUM, BEMARK2, BEMARK3, BEMARK4, BEMARK5, TYPE
    </sql>

    <select id="selectMaxId" resultType="Integer">
        select max(id) from FJYK
    </select>

</mapper>
